## openjfx 11+26

=== modules/javafx.media/src/main/native/jfxmedia/projects/linux/Makefile ===
#
# Linux/ARM jfxmedia makefile
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)

SRCBASE_DIR = ../..
OBJBASE_DIR = $(BUILD_DIR)/obj/jfxmedia

DIRLIST = jni                \
          PipelineManagement \
          MediaManagement    \
          Locator 	     \
          Utils 	     \
          Utils/posix 	     \
          platform/gstreamer

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -DTARGET_OS_LINUX=1     \
         -D_GNU_SOURCE           \
         -DGST_REMOVE_DEPRECATED \
         -DGST_DISABLE_GST_DEBUG \
         -DGST_DISABLE_LOADSAVE  \
         -DGST_DISABLE_XML       \
         -DHAVE_CONFIG_H         \
         -DJFXMEDIA_JNI_EXPORTS  \
         -DLINUX                 \
         -ffunction-sections -fdata-sections

CPPFLAGS = -fno-rtti -ffunction-sections -fdata-sections

BASE_INCLUDES = -I$(SRCBASE_DIR) \
		-I$(GENERATED_HEADERS_DIR)

ifdef HOST_COMPILE
	GSTREAMER_LITE_DIR = ../../../gstreamer/gstreamer-lite

	CFLAGS += -fPIC \
                  -Wformat \
                  -Wextra \
                  -Wformat-security \
                  -Werror=implicit-function-declaration \
		  -msse2 \
	          -DGSTREAMER_LITE

	PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
	PACKAGES_LIBS := $(shell pkg-config --libs glib-2.0 gobject-2.0 gmodule-2.0 gthread-2.0)

	INCLUDES = $(BASE_INCLUDES) \
		   -I$(JAVA_HOME)/include \
		   -I$(JAVA_HOME)/include/linux \
	           -I$(GSTREAMER_LITE_DIR)/gstreamer \
		   -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/gst-libs \
	           -I$(GSTREAMER_LITE_DIR)/gstreamer/libs \
		  $(PACKAGES_INCLUDES)

	LDFLAGS = -Wl,-rpath,\$$ORIGIN -L$(BUILD_DIR) -lgstreamer-lite $(PACKAGES_LIBS) \
            -static-libgcc -static-libstdc++ -Wl,--gc-sections
else
	CFLAGS += $(EXTRA_CFLAGS)
	INCLUDES = $(BASE_INCLUDES)
	LDFLAGS = -Wl,-rpath,\$$ORIGIN -L$(BUILD_DIR) $(EXTRA_LDFLAGS)
endif

ifeq ($(BUILD_TYPE), Release)
	CFLAGS += -Os
else
	CFLAGS += -g -Wall -D_DEBUG
endif

ifeq ($(ARCH), x32)
    CFLAGS += -m32
    LDFLAGS += -m32
endif

CPP_SOURCES = \
        jni/com_sun_media_jfxmedia_logging_Logger.cpp           \
        jni/JavaBandsHolder.cpp 				\
        jni/JavaMediaWarningListener.cpp 			\
        jni/JavaPlayerEventDispatcher.cpp 			\
        jni/JniUtils.cpp 					\
        jni/Logger.cpp 						\
        jni/NativeVideoBuffer.cpp 				\
        jni/NativeAudioEqualizer.cpp \
        jni/NativeAudioSpectrum.cpp \
        jni/NativeEqualizerBand.cpp \
        jni/JavaInputStreamCallbacks.cpp 			\
        PipelineManagement/AudioTrack.cpp 			\
        PipelineManagement/Pipeline.cpp 			\
        PipelineManagement/PipelineFactory.cpp 			\
        PipelineManagement/Track.cpp 				\
        PipelineManagement/VideoFrame.cpp 			\
        PipelineManagement/VideoTrack.cpp 			\
        PipelineManagement/SubtitleTrack.cpp                    \
        MediaManagement/Media.cpp 				\
        MediaManagement/MediaManager.cpp 			\
        Locator/Locator.cpp 					\
        Locator/LocatorStream.cpp 				\
        Utils/MediaWarningDispatcher.cpp 			\
        Utils/posix/posix_critical_section.cpp          \
        platform/gstreamer/GstMedia.cpp                 \
        platform/gstreamer/GstMediaPlayer.cpp           \
        platform/gstreamer/GstPlatform.cpp              \
        platform/gstreamer/GstAudioEqualizer.cpp        \
        platform/gstreamer/GstAudioPlaybackPipeline.cpp \
        platform/gstreamer/GstAudioSpectrum.cpp         \
        platform/gstreamer/GstAVPlaybackPipeline.cpp    \
        platform/gstreamer/GstElementContainer.cpp      \
        platform/gstreamer/GstJniUtils.cpp              \
        platform/gstreamer/GstMediaManager.cpp          \
        platform/gstreamer/GstPipelineFactory.cpp       \
        platform/gstreamer/GstVideoFrame.cpp

C_SOURCES = Utils/ColorConverter.c


OBJECTS  = $(patsubst %.cpp,$(OBJBASE_DIR)/%.o,$(CPP_SOURCES)) $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(C_SOURCES)) 
DEPFILES = $(patsubst %.cpp,$(OBJBASE_DIR)/%.d,$(CPP_SOURCES))

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))

DEP_DIRS = $(BUILD_DIR) $(OBJ_DIRS)

.PHONY: default list

default: $(TARGET)

$(DEPFILES): | $(DEP_DIRS)

$(DEP_DIRS):
	mkdir -p $(DEP_DIRS)

$(TARGET): $(DEPFILES) $(OBJECTS)
	$(LINKER) -shared $(OBJECTS) $(LDFLAGS) -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.cpp
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -x c++ -c $< -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) -x c -c $< -o $@

# Build dependency graph
$(OBJBASE_DIR)/%.d: $(SRCBASE_DIR)/%.cpp
	@set -e; rm -f $@; \
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -M $< > $@.$$$$; \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

-include $(DEPFILES)

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/CMakeLists.txt ===
if (WIN32)
    set(ICU_JAVA_TOOLUTIL_LIB sicutu)
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudt)
    set(ICU_JAVA_ICU_DATA_LIB_NAME sicudt)
    if (MSVC)
        if(NOT CMAKE_CL_64)
            add_definitions(-DSIZEOF_VOID_P=4)
            add_compile_options(-DU_I18N_IMPLEMENTATION=1 -DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE  -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION)
        else()
            add_compile_options(-DU_I18N_IMPLEMENTATION=1 -DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_HAVE_TZNAME=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE  -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION)
        endif()
        add_compile_options(/GR)
    endif ()
elseif (UNIX)
    set(ICU_JAVA_TOOLUTIL_LIB icutu)
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudata)
    set(ICU_JAVA_ICU_DATA_LIB_NAME ${ICU_JAVA_ICU_STUBDATA_LIB_NAME})
    add_definitions("-D_REENTRANT -DU_HAVE_ELF_H=1 -DU_ENABLE_DYLOAD=0 -DU_HAVE_ATOMIC=1 -DU_ATTRIBUTE_DEPRECATED= -DU_COMMON_IMPLEMENTATION -DU_I18N_IMPLEMENTATION -DU_IO_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION")
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-frtti> $<$<COMPILE_LANGUAGE:C>:-std=c99>)
elseif (APPLE)
    set(ICU_JAVA_TOOLUTIL_LIB icutu)
    add_definitions("-DU_ATTRIBUTE_DEPRECATED= -DU_ENABLE_DYLOAD=0 -DU_HAVE_ATOMIC=1 -DU_COMMON_IMPLEMENTATION -DU_I18N_IMPLEMENTATION -DU_LAYOUT_IMPLEMENTATION -DU_LAYOUTEX_IMPLEMENTATION -DU_IO_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION -DT_CTEST_IMPLEMENTATION -frtti")
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudata)
    set(ICU_JAVA_ICU_DATA_LIB_NAME ${ICU_JAVA_ICU_STUBDATA_LIB_NAME})
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-frtti> $<$<COMPILE_LANGUAGE:C>:-std=c99>)
endif ()

set(ICU_JAVA_ICU_STUBDATA_LIB icustubdata)

add_subdirectory(java/stubdata)
add_subdirectory(java/i18n)
add_subdirectory(java/common)
add_subdirectory(java/tools)
add_subdirectory(java/data)

=== modules/javafx.web/src/main/native/Source/ThirdParty/libxml/CMakeLists.txt ===
set(XML_SOURCES
     # src/c14n.c
     # src/catalog.c
     src/buf.c
     src/chvalid.c
     # src/debugXML.c
     src/dict.c
     # src/DOCBparser.c
     src/encoding.c
     src/entities.c
     src/error.c
     src/globals.c
     src/hash.c
     src/HTMLparser.c
     src/HTMLtree.c
     # src/legacy.c
     src/list.c
     # src/nanoftp.c
     # src/nanohttp.c
     src/parser.c
     src/parserInternals.c
     src/pattern.c
     # src/relaxng.c
     src/SAX2.c
     # src/SAX.c
     # src/schematron.c
     src/threads.c
     src/tree.c
     src/uri.c
     src/valid.c
     # src/xinclude.c
     # src/xlink.c
     src/xmlIO.c
     src/xmlmemory.c
     src/xmlreader.c
     # src/xmlregexp.c
     # src/xmlmodule.c
     src/xmlsave.c
     # src/xmlschemas.c
     # src/xmlschemastypes.c
     # src/xmlunicode.c
     src/xmlwriter.c
     src/xpath.c
     # src/xpointer.c
     src/xmlstring.c
)

set(LIBXML2_LIBRARIES XMLJava)

if (WIN32)
    set(XML_PLATFORM_INCLUDE_DIRECTORY win32)
    set(XML_COMPILE_OPTIONS
        "/wd4018"  # Signed/unsigned mismatch in comparison.
        "/wd4267"  # TODO(brucedawson): http://crbug.com/554200 fix C4267
        "/wd4311"  # and C4311 warnings.
    )
elseif (APPLE)
    set(XML_PLATFORM_INCLUDE_DIRECTORY mac)
    set(XML_COMPILE_OPTIONS
        # encoding.c cast from `const unsigned char*` to `unsigned short*`
        "-Wno-cast-align"

        # xmlIO.c, __MVS__ define is not set
        "-Wno-undef"

        # xmlIO.c
        "-Wno-unused-parameter"

        # Following flags are taken from Chromium libxml BUILD.gn
        # libxml passes `const unsigned char*` through `const char*`.
        "-Wno-pointer-sign"

        # pattern.c and uri.c both have an intentional `for (...);` /
        # `while(...);` loop. I submitted a patch to move the `'` to its own
        # line, but until that's landed suppress the warning:
        "-Wno-empty-body"

        # debugXML.c compares array 'arg' to NULL.
        "-Wno-tautological-pointer-compare"

        # threads.c attempts to forward declare a pthread_equal which doesn't
        # match the prototype in pthreads.h
        "-Wno-ignored-attributes"

        # libxml casts from int to long to void*.
        "-Wno-int-to-void-pointer-cast"

        # libxml passes a volatile LPCRITICAL_SECTION* to a function expecting
        # a void* volatile*.
        "-Wno-incompatible-pointer-types"

        # trio_is_special_quantity and trio_is_negative are only
        # used with certain preprocessor defines set.
        "-Wno-unused-function"

        # Comparison between xmlElementType and xmlXPathTypeVal.
        # TODO(hans): See if we can fix upstream (http://crbug.com/763944).
        "-Wno-enum-compare"
      )
elseif (UNIX AND NOT APPLE)
    set(XML_PLATFORM_INCLUDE_DIRECTORY linux)
    set(XML_COMPILE_OPTIONS
        # TODO:
        # Following warnings are seen only with GCC 4.9.4. Remove once
        # we move to latest GCC
        "-Wno-unused-function"
        "-Wno-unused-parameter"
        "-Wno-unused-variable"
        "-Wno-unused-but-set-variable"
        "-Wno-suggest-attribute=format"
        "-Wno-sign-compare"
        "-Wno-enum-compare"

        # xmlIO.c, __MVS__ define is not set
        "-Wno-undef"

        # Following flags are taken from Chromium libxml BUILD.gn
        # gcc spits out a bunch of warnings about passing too many arguments to
        # __xmlSimpleError.
        "-Wno-format-extra-args"
    )
endif ()

if (UNIX)
    set(XML_DEFINES "_REENTRANT")
endif ()

add_library(XMLJava STATIC ${XML_SOURCES})

if (XML_DEFINES)
    target_compile_definitions(XMLJava PRIVATE ${XML_DEFINES})
endif ()

target_compile_definitions(XMLJava PUBLIC "LIBXML_STATIC")
target_compile_options(XMLJava PRIVATE ${XML_COMPILE_OPTIONS})
# Export to other moduels who uses libxml
target_include_directories(XMLJava
    PUBLIC "src/include"
    PUBLIC "${XML_PLATFORM_INCLUDE_DIRECTORY}/include"
    PUBLIC "${ICU_INCLUDE_DIRS}"
    PRIVATE "${XML_PLATFORM_INCLUDE_DIRECTORY}"
)

=== modules/javafx.media/src/main/native/gstreamer/projects/linux/avplugin/Makefile ===
#
# Makefile for Linux only avplugin
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../../../plugins

DIRLIST = av

ifneq ($(strip $(VERSION)),)
TARGET = $(BUILD_DIR)/lib$(BASE_NAME)$(SUFFIX)-$(VERSION).so
OBJBASE_DIR = $(BUILD_DIR)/obj/plugins/$(BASE_NAME)$(SUFFIX)-$(VERSION)
else
TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so
OBJBASE_DIR = $(BUILD_DIR)/obj/plugins/avplugin
endif

CFLAGS = -fPIC                   \
         -Wformat                \
         -Wextra                 \
         -Wformat-security       \
         -Werror=implicit-function-declaration \
         -msse2                  \
         -fbuiltin               \
         -DHAVE_STDINT_H         \
         -DLINUX                 \
         -DGST_DISABLE_LOADSAVE  \
         -DGSTREAMER_LITE \
         -ffunction-sections -fdata-sections

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif

PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
PACKAGES_LIBS     := $(shell pkg-config --libs glib-2.0 gobject-2.0)

INCLUDES= -I../../../plugins                          \
          -I../../../plugins/av                       \
          -I../../../gstreamer-lite/gstreamer         \
          -I../../../gstreamer-lite/gstreamer/libs    \
          $(PACKAGES_INCLUDES)

LDFLAGS = -L$(BUILD_DIR)    \
          -lgstreamer-lite  \
           $(PACKAGES_LIBS) \
          -static-libgcc -static-libstdc++ -Wl,--gc-sections

ifneq ($(strip $(LIBAV_DIR)),)
INCLUDES += -I$(LIBAV_DIR)/include
LDFLAGS  += -L$(LIBAV_DIR)/lib/ -lavcodec -lavformat
else
INCLUDES += $(shell pkg-config --cflags libavcodec libavformat)
LDFLAGS  += $(shell pkg-config --libs libavcodec libavformat)
endif

ifeq ($(ARCH), x32)
    CFLAGS += -m32
    LDFLAGS += -m32
endif

SOURCES = av/fxavcodecplugin.c  \
          av/avelement.c        \
          av/decoder.c          \
          av/audiodecoder.c     \
          av/videodecoder.c     \
          av/mpegtsdemuxer.c

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS = $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(SOURCES))

.PHONY: default

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(LINKER) -shared $(OBJECTS) $(LDFLAGS) -o $@

=== modules/javafx.media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile ===
#
# Linux Makefile for fxplugins
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../../../plugins
OBJBASE_DIR = $(BUILD_DIR)/obj/fxplugins

DIRLIST = progressbuffer       \
          progressbuffer/posix \
          javasource

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -fPIC                   \
         -Wformat                \
         -Wextra                 \
         -Wformat-security       \
         -Werror=implicit-function-declaration \
         -msse2                  \
         -fbuiltin               \
         -DHAVE_STDINT_H         \
         -DLINUX                 \
         -DENABLE_PULL_MODE      \
         -DENABLE_SOURCE_SEEKING \
         -D__MEDIALIB_OLD_NAMES  \
         -DGST_DISABLE_LOADSAVE  \
         -DGST_DISABLE_GST_DEBUG \
         -DGSTREAMER_LITE \
         -ffunction-sections -fdata-sections

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif


INCLUDES = -I$(SRCBASE_DIR) \
	   $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
           -I../../../gstreamer-lite/gstreamer       \
           -I../../../gstreamer-lite/gstreamer/libs

PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
PACKAGES_LIBS := $(shell pkg-config --libs glib-2.0 gobject-2.0)

LDFLAGS = -L$(BUILD_DIR) -lgstreamer-lite $(PACKAGES_LIBS) \
          -static-libgcc -static-libstdc++ -Wl,--gc-sections

ifeq ($(ARCH), x32)
    CFLAGS += -m32
    LDFLAGS += -m32
endif

SOURCES = fxplugins.c                        \
          progressbuffer/progressbuffer.c    \
          progressbuffer/hlsprogressbuffer.c \
          progressbuffer/posix/filecache.c   \
          javasource/javasource.c            \
          javasource/marshal.c

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS = $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(SOURCES))

.PHONY: default list

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) $(PACKAGES_INCLUDES) -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(LINKER) -shared $(OBJECTS) $(LDFLAGS) -o $@

=== modules/javafx.media/src/main/native/gstreamer/projects/linux/gstreamer-lite/Makefile ===
#
# Makefile for libgstreamer-lite
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

BASE_DIR = ../../..
SRCBASE_DIR = $(BASE_DIR)/gstreamer-lite
OBJBASE_DIR = $(BUILD_DIR)/obj/gstreamer-lite

DIRLIST = gstreamer/gst \
          gstreamer/libs/gst/base \
          gstreamer/libs/gst/controller \
          gst-plugins-base/gst-libs/gst/audio \
          gst-plugins-base/gst-libs/gst/interfaces \
          gst-plugins-base/gst-libs/gst/video \
          gst-plugins-base/gst-libs/gst/tag \
          gst-plugins-base/gst-libs/gst/riff \
          gst-plugins-base/gst-libs/gst/app \
	  projects/plugins \
          gstreamer/plugins/elements \
          gst-plugins-base/gst-libs/gst/fft \
          gst-plugins-base/gst-libs/gst/pbutils \
          gst-plugins-base/gst/typefind \
          gst-plugins-base/gst/audioconvert \
          gst-plugins-base/gst/volume \
          gst-plugins-good/gst/audioparsers \
          gst-plugins-good/gst/isomp4 \
          gst-plugins-base/ext/alsa \
          gst-plugins-good/gst/audiofx \
          gst-plugins-good/gst/equalizer \
          gst-plugins-good/gst/spectrum \
          gst-plugins-good/gst/wavparse \
          gst-plugins-bad/gst/aiff \
          gst-plugins-base/gst/app

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS =-fPIC                   \
        -Wformat                \
        -Wextra                 \
        -Wformat-security       \
        -Werror=implicit-function-declaration \
        -D_GNU_SOURCE           \
        -DGST_REMOVE_DEPRECATED \
        -DGSTREAMER_LITE        \
        -DHAVE_CONFIG_H         \
        -DOUTSIDE_SPEEX         \
        -DLINUX                 \
        -DGST_DISABLE_GST_DEBUG \
        -DGST_DISABLE_LOADSAVE  \
        -ffunction-sections -fdata-sections

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif

INCLUDES = -I$(BASE_DIR)/plugins                          \
	   -I$(SRCBASE_DIR)/projects/build/linux/common   \
           -I$(SRCBASE_DIR)/gstreamer                     \
           -I$(SRCBASE_DIR)/gstreamer/libs                \
           -I$(SRCBASE_DIR)/gstreamer/gst/parse           \
           -I$(SRCBASE_DIR)/gst-plugins-base              \
           -I$(SRCBASE_DIR)/gst-plugins-base/gst-libs     \
           -I$(SRCBASE_DIR)/projects/plugins              \
           -I$(SRCBASE_DIR)/gst-plugins-base/gst-libs     \
           -I$(SRCBASE_DIR)/gst-plugins-good/gst-libs     \
           -I$(SRCBASE_DIR)/gst-plugins-good/gst/isomp4   \
           -I$(SRCBASE_DIR)/gst-plugins-bad/gst-libs

PACKAGES_INCLUDES := $(shell pkg-config --cflags alsa glib-2.0)
PACKAGES_LIBS := $(shell pkg-config --libs alsa glib-2.0 gobject-2.0 gmodule-2.0 gthread-2.0)

LDFLAGS = -L$(BUILD_DIR) -lm $(PACKAGES_LIBS) \
          -static-libgcc -static-libstdc++ -Wl,--gc-sections

ifeq ($(ARCH), x32)
    CFLAGS += -m32
    LDFLAGS += -m32
endif

SOURCES = \
gstreamer/gst/gst.c \
            gstreamer/gst/gstallocator.c \
            gstreamer/gst/gstatomicqueue.c \
            gstreamer/gst/gstbin.c \
            gstreamer/gst/gstbuffer.c \
            gstreamer/gst/gstbufferlist.c \
            gstreamer/gst/gstbufferpool.c \
            gstreamer/gst/gstbus.c \
            gstreamer/gst/gstcaps.c \
            gstreamer/gst/gstcapsfeatures.c \
            gstreamer/gst/gstchildproxy.c \
            gstreamer/gst/gstclock.c \
            gstreamer/gst/gstcontext.c \
            gstreamer/gst/gstcontrolbinding.c \
            gstreamer/gst/gstcontrolsource.c \
            gstreamer/gst/gstdatetime.c \
            gstreamer/gst/gstdebugutils.c \
            gstreamer/gst/gstdynamictypefactory.c \
            gstreamer/gst/gstelement.c \
            gstreamer/gst/gstelementfactory.c \
            gstreamer/gst/gstenumtypes.c \
            gstreamer/gst/gsterror.c \
            gstreamer/gst/gstevent.c \
            gstreamer/gst/gstformat.c \
            gstreamer/gst/gstghostpad.c \
            gstreamer/gst/gstinfo.c \
            gstreamer/gst/gstiterator.c \
            gstreamer/gst/gstmemory.c \
            gstreamer/gst/gstmessage.c \
            gstreamer/gst/gstmeta.c \
            gstreamer/gst/gstminiobject.c \
            gstreamer/gst/gstobject.c \
            gstreamer/gst/gstpad.c \
            gstreamer/gst/gstpadtemplate.c \
            gstreamer/gst/gstparamspecs.c \
            gstreamer/gst/gstparse.c \
            gstreamer/gst/gstpipeline.c \
            gstreamer/gst/gstplugin.c \
            gstreamer/gst/gstpluginfeature.c \
            gstreamer/gst/gstpluginloader.c \
            gstreamer/gst/gstpoll.c \
            gstreamer/gst/gstpreset.c \
            gstreamer/gst/gstprotection.c \
            gstreamer/gst/gstquark.c \
            gstreamer/gst/gstquery.c \
            gstreamer/gst/gstregistry.c \
            gstreamer/gst/gstregistrybinary.c \
            gstreamer/gst/gstregistrychunks.c \
            gstreamer/gst/gstsample.c \
            gstreamer/gst/gstsegment.c \
            gstreamer/gst/gststructure.c \
            gstreamer/gst/gstsystemclock.c \
            gstreamer/gst/gststreamcollection.c \
            gstreamer/gst/gststreams.c \
            gstreamer/gst/gsttaglist.c \
            gstreamer/gst/gsttagsetter.c \
            gstreamer/gst/gsttask.c \
            gstreamer/gst/gsttaskpool.c \
            gstreamer/gst/gsttoc.c \
            gstreamer/gst/gsttocsetter.c \
            gstreamer/gst/gsttracer.c \
            gstreamer/gst/gsttracerfactory.c \
            gstreamer/gst/gsttracerrecord.c \
            gstreamer/gst/gsttracerutils.c \
            gstreamer/gst/gsttypefind.c \
            gstreamer/gst/gsttypefindfactory.c \
            gstreamer/gst/gsturi.c \
            gstreamer/gst/gstutils.c \
            gstreamer/gst/gstvalue.c \
            gstreamer/libs/gst/base/gstadapter.c \
            gstreamer/libs/gst/base/gstbaseparse.c \
            gstreamer/libs/gst/base/gstbasesink.c \
            gstreamer/libs/gst/base/gstbasesrc.c \
            gstreamer/libs/gst/base/gstbasetransform.c \
            gstreamer/libs/gst/base/gstbitreader.c \
            gstreamer/libs/gst/base/gstbytereader.c \
            gstreamer/libs/gst/base/gstbytewriter.c \
            gstreamer/libs/gst/base/gstcollectpads.c \
            gstreamer/libs/gst/base/gstdataqueue.c \
            gstreamer/libs/gst/base/gstflowcombiner.c \
            gstreamer/libs/gst/base/gstpushsrc.c \
            gstreamer/libs/gst/base/gstqueuearray.c \
            gstreamer/libs/gst/base/gsttypefindhelper.c \
            gst-plugins-base/gst-libs/gst/app/gstapp-marshal.c \
            gst-plugins-base/gst-libs/gst/app/gstappsink.c \
            gst-plugins-base/gst-libs/gst/audio/audio.c \
            gst-plugins-base/gst-libs/gst/audio/audio-channels.c \
            gst-plugins-base/gst-libs/gst/audio/audio-channel-mixer.c \
            gst-plugins-base/gst-libs/gst/audio/audio-converter.c \
            gst-plugins-base/gst-libs/gst/audio/audio-resampler.c \
            gst-plugins-base/gst-libs/gst/audio/audio-enumtypes.c \
            gst-plugins-base/gst-libs/gst/audio/audio-quantize.c \
            gst-plugins-base/gst-libs/gst/audio/audio-format.c \
            gst-plugins-base/gst-libs/gst/audio/audio-info.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiobasesink.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiobasesrc.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudioclock.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiodecoder.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudioencoder.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiofilter.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudioiec61937.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiometa.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiopack-dist.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudioringbuffer.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiosink.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudiosrc.c \
            gst-plugins-base/gst-libs/gst/audio/gstaudioutilsprivate.c \
            gst-plugins-base/gst-libs/gst/audio/streamvolume.c \
            gst-plugins-base/gst-libs/gst/fft/gstfft.c \
            gst-plugins-base/gst-libs/gst/fft/gstfftf32.c \
            gst-plugins-base/gst-libs/gst/fft/kiss_fft_f32.c \
            gst-plugins-base/gst-libs/gst/fft/kiss_fftr_f32.c \
            gst-plugins-base/gst-libs/gst/pbutils/codec-utils.c \
            gst-plugins-base/gst-libs/gst/pbutils/descriptions.c \
            gst-plugins-base/gst-libs/gst/pbutils/encoding-profile.c \
            gst-plugins-base/gst-libs/gst/pbutils/encoding-target.c \
            gst-plugins-base/gst-libs/gst/pbutils/gstdiscoverer.c \
            gst-plugins-base/gst-libs/gst/pbutils/gstdiscoverer-types.c \
            gst-plugins-base/gst-libs/gst/pbutils/gstpluginsbaseversion.c \
            gst-plugins-base/gst-libs/gst/pbutils/missing-plugins.c \
            gst-plugins-base/gst-libs/gst/pbutils/pbutils.c \
            gst-plugins-base/gst-libs/gst/pbutils/pbutils-enumtypes.c \
            gst-plugins-base/gst-libs/gst/riff/riff-media.c \
            gst-plugins-base/gst-libs/gst/riff/riff-read.c \
            gst-plugins-base/gst-libs/gst/riff/riff.c \
            gst-plugins-base/gst-libs/gst/tag/gstid3tag.c \
            gst-plugins-base/gst-libs/gst/tag/gsttagdemux.c \
            gst-plugins-base/gst-libs/gst/tag/id3v2.c \
            gst-plugins-base/gst-libs/gst/tag/id3v2frames.c \
            gst-plugins-base/gst-libs/gst/tag/lang.c \
            gst-plugins-base/gst-libs/gst/tag/tags.c \
            gst-plugins-base/gst-libs/gst/tag/tag-enumtypes.c \
            gst-plugins-base/gst-libs/gst/video/video.c \
            gst-plugins-base/gst-libs/gst/video/video-chroma.c \
            gst-plugins-base/gst-libs/gst/video/video-color.c \
            gst-plugins-base/gst-libs/gst/video/video-converter.c \
            gst-plugins-base/gst-libs/gst/video/video-format.c \
            gst-plugins-base/gst-libs/gst/video/video-enumtypes.c \
            gst-plugins-base/gst-libs/gst/video/video-info.c \
            gst-plugins-base/gst-libs/gst/video/video-multiview.c \
            gst-plugins-base/gst-libs/gst/video/video-orc-dist.c \
            gst-plugins-base/gst-libs/gst/video/video-tile.c \
            gst-plugins-good/gst/audiofx/audiofx.c \
            gst-plugins-good/gst/audiofx/audiopanorama.c \
            gst-plugins-good/gst/audiofx/audiopanoramaorc.c \
            gst-plugins-base/gst/audioconvert/plugin.c \
            gst-plugins-base/gst/audioconvert/gstaudioconvert.c \
            gst-plugins-bad/gst/aiff/aiff.c \
            gst-plugins-bad/gst/aiff/aiffparse.c \
            gst-plugins-base/gst/app/gstapp.c \
            gst-plugins-base/gst/typefind/gsttypefindfunctions.c \
            gst-plugins-good/gst/audioparsers/gstmpegaudioparse.c \
            gst-plugins-good/gst/audioparsers/parsersplugin.c \
            gst-plugins-good/gst/equalizer/gstiirequalizer.c \
            gst-plugins-good/gst/equalizer/gstiirequalizernbands.c \
            gst-plugins-good/gst/isomp4/isomp4-plugin.c \
            gst-plugins-good/gst/isomp4/qtdemux.c \
            gst-plugins-good/gst/isomp4/gstisoff.c \
            gst-plugins-good/gst/isomp4/qtdemux_dump.c \
            gst-plugins-good/gst/isomp4/qtdemux_lang.c \
            gst-plugins-good/gst/isomp4/qtdemux_types.c \
            gst-plugins-good/gst/spectrum/gstspectrum.c \
            gst-plugins-good/gst/wavparse/gstwavparse.c \
            gstreamer/plugins/elements/gstelements.c \
            gstreamer/plugins/elements/gstqueue.c \
            gstreamer/plugins/elements/gsttypefindelement.c \
            gst-plugins-base/gst/volume/gstvolume.c \
            gst-plugins-base/gst/volume/gstvolumeorc-dist.c \
            gst-plugins-base/ext/alsa/gstalsaplugin.c \

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/common/CMakeLists.txt ===
set(ICU_COMMON_SOURCES
    ../../source/common/errorcode.cpp
    ../../source/common/putil.cpp
    ../../source/common/umath.c
    ../../source/common/utypes.c
    ../../source/common/uinvchar.c
    ../../source/common/umutex.cpp
    ../../source/common/ucln_cmn.c
    ../../source/common/uinit.c
    ../../source/common/uobject.cpp
    ../../source/common/cmemory.c
    ../../source/common/charstr.cpp
    ../../source/common/udata.cpp
    ../../source/common/ucmndata.c
    ../../source/common/udatamem.c
    ../../source/common/umapfile.c
    ../../source/common/udataswp.c
    ../../source/common/ucol_swp.cpp
    ../../source/common/utrace.c
    ../../source/common/uhash.c
    ../../source/common/uhash_us.cpp
    ../../source/common/uenum.c
    ../../source/common/ustrenum.cpp
    ../../source/common/uvector.cpp
    ../../source/common/ustack.cpp
    ../../source/common/uvectr32.cpp
    ../../source/common/uvectr64.cpp
    ../../source/common/ucnv.c
    ../../source/common/ucnv_bld.cpp
    ../../source/common/ucnv_cnv.c
    ../../source/common/ucnv_io.cpp
    ../../source/common/ucnv_cb.c
    ../../source/common/ucnv_err.c
    ../../source/common/ucnvlat1.c
    ../../source/common/ucnv_u7.c
    ../../source/common/ucnv_u8.c
    ../../source/common/ucnv_u16.c
    ../../source/common/ucnv_u32.c
    ../../source/common/ucnvscsu.c
    ../../source/common/ucnvbocu.cpp
    ../../source/common/ucnv_ext.cpp
    ../../source/common/ucnvmbcs.c
    ../../source/common/ucnv2022.cpp
    ../../source/common/ucnvhz.c
    ../../source/common/ucnv_lmb.c
    ../../source/common/ucnvisci.c
    ../../source/common/ucnvdisp.c
    ../../source/common/ucnv_set.c
    ../../source/common/ucnv_ct.c
    ../../source/common/uresbund.cpp
    ../../source/common/ures_cnv.c
    ../../source/common/uresdata.c
    ../../source/common/resbund.cpp
    ../../source/common/resbund_cnv.cpp
    ../../source/common/messagepattern.cpp
    ../../source/common/ucat.c
    ../../source/common/locmap.c
    ../../source/common/uloc.cpp
    ../../source/common/locid.cpp
    ../../source/common/locutil.cpp
    ../../source/common/locavailable.cpp
    ../../source/common/locdispnames.cpp
    ../../source/common/loclikely.cpp
    ../../source/common/locresdata.cpp
    ../../source/common/bytestream.cpp
    ../../source/common/stringpiece.cpp
    ../../source/common/stringtriebuilder.cpp
    ../../source/common/bytestriebuilder.cpp
    ../../source/common/bytestrie.cpp
    ../../source/common/bytestrieiterator.cpp
    ../../source/common/ucharstrie.cpp
    ../../source/common/ucharstriebuilder.cpp
    ../../source/common/ucharstrieiterator.cpp
    ../../source/common/dictionarydata.cpp
    ../../source/common/appendable.cpp
    ../../source/common/ustr_cnv.c
    ../../source/common/unistr_cnv.cpp
    ../../source/common/unistr.cpp
    ../../source/common/unistr_case.cpp
    ../../source/common/unistr_props.cpp
    ../../source/common/utf_impl.c
    ../../source/common/ustring.cpp
    ../../source/common/ustrcase.cpp
    ../../source/common/ucasemap.cpp
    ../../source/common/ucasemap_titlecase_brkiter.cpp
    ../../source/common/cstring.c
    ../../source/common/ustrfmt.c
    ../../source/common/ustrtrns.cpp
    ../../source/common/ustr_wcs.cpp
    ../../source/common/utext.cpp
    ../../source/common/unistr_case_locale.cpp
    ../../source/common/ustrcase_locale.cpp
    ../../source/common/unistr_titlecase_brkiter.cpp
    ../../source/common/ustr_titlecase_brkiter.cpp
    ../../source/common/normalizer2impl.cpp
    ../../source/common/normalizer2.cpp
    ../../source/common/filterednormalizer2.cpp
    ../../source/common/normlzr.cpp
    ../../source/common/unorm.cpp
    ../../source/common/unormcmp.cpp
    ../../source/common/unorm_it.c
    ../../source/common/chariter.cpp
    ../../source/common/schriter.cpp
    ../../source/common/uchriter.cpp
    ../../source/common/uiter.cpp
    ../../source/common/patternprops.cpp
    ../../source/common/uchar.c
    ../../source/common/uprops.cpp
    ../../source/common/ucase.cpp
    ../../source/common/propname.cpp
    ../../source/common/ubidi_props.c
    ../../source/common/ubidi.c
    ../../source/common/ubidiwrt.c
    ../../source/common/ubidiln.c
    ../../source/common/ushape.cpp
    ../../source/common/uscript.c
    ../../source/common/uscript_props.cpp
    ../../source/common/usc_impl.c
    ../../source/common/unames.cpp
    ../../source/common/utrie.cpp
    ../../source/common/utrie2.cpp
    ../../source/common/utrie2_builder.cpp
    ../../source/common/bmpset.cpp
    ../../source/common/unisetspan.cpp
    ../../source/common/uset_props.cpp
    ../../source/common/uniset_props.cpp
    ../../source/common/uniset_closure.cpp
    ../../source/common/uset.cpp
    ../../source/common/uniset.cpp
    ../../source/common/usetiter.cpp
    ../../source/common/ruleiter.cpp
    ../../source/common/caniter.cpp
    ../../source/common/unifilt.cpp
    ../../source/common/unifunct.cpp
    ../../source/common/uarrsort.c
    ../../source/common/brkiter.cpp
    ../../source/common/ubrk.cpp
    ../../source/common/brkeng.cpp
    ../../source/common/dictbe.cpp
    ../../source/common/rbbi.cpp
    ../../source/common/rbbidata.cpp
    ../../source/common/rbbinode.cpp
    ../../source/common/rbbirb.cpp
    ../../source/common/rbbiscan.cpp
    ../../source/common/rbbisetb.cpp
    ../../source/common/rbbistbl.cpp
    ../../source/common/rbbitblb.cpp
    ../../source/common/serv.cpp
    ../../source/common/servnotf.cpp
    ../../source/common/servls.cpp
    ../../source/common/servlk.cpp
    ../../source/common/servlkf.cpp
    ../../source/common/servrbf.cpp
    ../../source/common/servslkf.cpp
    ../../source/common/uidna.cpp
    ../../source/common/usprep.cpp
    ../../source/common/uts46.cpp
    ../../source/common/punycode.cpp
    ../../source/common/util.cpp
    ../../source/common/util_props.cpp
    ../../source/common/parsepos.cpp
    ../../source/common/locbased.cpp
    ../../source/common/cwchar.c
    ../../source/common/wintz.c
    ../../source/common/mutex.cpp
    ../../source/common/dtintrv.cpp
    ../../source/common/ucnvsel.cpp
    ../../source/common/propsvec.c
    ../../source/common/ulist.c
    ../../source/common/uloc_tag.c
    ../../source/common/icudataver.c
    ../../source/common/icuplug.c
    ../../source/common/listformatter.cpp
    )


set(ICU_COMMON_INCLUDE_DIRECTORIES
      ../../source/common
      ../../source/common/include
)

if (WIN32)
	if (MSVC)
	    if(NOT CMAKE_CL_64)
	        add_compile_options(-DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION /Gy /GF /nologo /EHsc /Zc:wchar_t)
	        add_definitions(-DSIZEOF_VOID_P=4)
	    else()
            add_compile_options(-DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_HAVE_TZNAME=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION /Gy /GF /nologo /EHsc /Zc:wchar_t)
            add_definitions(-DSIZEOF_VOID_P=8)
        endif()
    endif ()
endif()

include_directories(${ICU_COMMON_INCLUDE_DIRECTORIES})
add_library(${ICU_JAVA_COMMON_LIB} STATIC ${ICU_COMMON_SOURCES})

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/data/CMakeLists.txt ===
set(ICU_DATA_BUILD_COMMAND bash icudata_wrapper.sh ${CMAKE_BINARY_DIR} ${CMAKE_BUILD_TYPE} ${ICU_JAVA_DATA_LIB} ${CMAKE_C_FLAGS})
if (APPLE)
    # Fixed in ICU 59.1 http://bugs.icu-project.org/trac/ticket/12643
    string (REPLACE "-std=c++14" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
    # Fixed in ICU 56.1 http://bugs.icu-project.org/trac/ticket/11435
    string (REPLACE "-fno-rtti" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
    list(APPEND ICU_DATA_BUILD_COMMAND ${CMAKE_CXX_FLAGS} ${CMAKE_OSX_DEPLOYMENT_TARGET})
else ()
    list(APPEND ICU_DATA_BUILD_COMMAND ${CMAKE_CXX_FLAGS})
endif ()

add_custom_command(
    COMMAND ${ICU_DATA_BUILD_COMMAND}
    DEPENDS pkgdata
    OUTPUT ${ICU_JAVA_DATA_LIB}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

add_custom_target(
    icudatagen ALL
    DEPENDS ${ICU_JAVA_DATA_LIB}
)

add_library(${ICU_JAVA_ICU_DATA_LIB_NAME} STATIC IMPORTED)
set_target_properties(${ICU_JAVA_ICU_DATA_LIB_NAME} PROPERTIES IMPORTED_LOCATION ${ICU_JAVA_DATA_LIB})
add_dependencies(${ICU_JAVA_ICU_DATA_LIB_NAME} icudatagen)

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/i18n/CMakeLists.txt ===
set(ICU_I18N_SOURCES
    ../../source/i18n/ucln_in.c
    ../../source/i18n/fmtable.cpp
    ../../source/i18n/format.cpp
    ../../source/i18n/msgfmt.cpp
    ../../source/i18n/umsg.cpp
    ../../source/i18n/numfmt.cpp
    ../../source/i18n/unum.cpp
    ../../source/i18n/decimfmt.cpp
    ../../source/i18n/dcfmtsym.cpp
    ../../source/i18n/ucurr.cpp
    ../../source/i18n/digitlst.cpp
    ../../source/i18n/fmtable_cnv.cpp
    ../../source/i18n/choicfmt.cpp
    ../../source/i18n/datefmt.cpp
    ../../source/i18n/smpdtfmt.cpp
    ../../source/i18n/reldtfmt.cpp
    ../../source/i18n/dtfmtsym.cpp
    ../../source/i18n/udat.cpp
    ../../source/i18n/dtptngen.cpp
    ../../source/i18n/udatpg.cpp
    ../../source/i18n/nfrs.cpp
    ../../source/i18n/nfrule.cpp
    ../../source/i18n/nfsubs.cpp
    ../../source/i18n/rbnf.cpp
    ../../source/i18n/numsys.cpp
    ../../source/i18n/ucsdet.cpp
    ../../source/i18n/ucal.cpp
    ../../source/i18n/calendar.cpp
    ../../source/i18n/gregocal.cpp
    ../../source/i18n/timezone.cpp
    ../../source/i18n/simpletz.cpp
    ../../source/i18n/olsontz.cpp
    ../../source/i18n/astro.cpp
    ../../source/i18n/taiwncal.cpp
    ../../source/i18n/buddhcal.cpp
    ../../source/i18n/persncal.cpp
    ../../source/i18n/islamcal.cpp
    ../../source/i18n/japancal.cpp
    ../../source/i18n/gregoimp.cpp
    ../../source/i18n/hebrwcal.cpp
    ../../source/i18n/indiancal.cpp
    ../../source/i18n/chnsecal.cpp
    ../../source/i18n/cecal.cpp
    ../../source/i18n/coptccal.cpp
    ../../source/i18n/dangical.cpp
    ../../source/i18n/ethpccal.cpp
    ../../source/i18n/coleitr.cpp
    ../../source/i18n/coll.cpp
    ../../source/i18n/tblcoll.cpp
    ../../source/i18n/sortkey.cpp
    ../../source/i18n/bocsu.cpp
    ../../source/i18n/ucoleitr.cpp
    ../../source/i18n/ucol.cpp
    ../../source/i18n/ucol_res.cpp
    ../../source/i18n/ucol_bld.cpp
    ../../source/i18n/ucol_sit.cpp
    ../../source/i18n/ucol_tok.cpp
    ../../source/i18n/ucol_wgt.cpp
    ../../source/i18n/ucol_cnt.cpp
    ../../source/i18n/ucol_elm.cpp
    ../../source/i18n/strmatch.cpp
    ../../source/i18n/usearch.cpp
    ../../source/i18n/search.cpp
    ../../source/i18n/stsearch.cpp
    ../../source/i18n/translit.cpp
    ../../source/i18n/utrans.cpp
    ../../source/i18n/esctrn.cpp
    ../../source/i18n/unesctrn.cpp
    ../../source/i18n/funcrepl.cpp
    ../../source/i18n/strrepl.cpp
    ../../source/i18n/tridpars.cpp
    ../../source/i18n/cpdtrans.cpp
    ../../source/i18n/rbt.cpp
    ../../source/i18n/rbt_data.cpp
    ../../source/i18n/rbt_pars.cpp
    ../../source/i18n/rbt_rule.cpp
    ../../source/i18n/rbt_set.cpp
    ../../source/i18n/nultrans.cpp
    ../../source/i18n/remtrans.cpp
    ../../source/i18n/casetrn.cpp
    ../../source/i18n/titletrn.cpp
    ../../source/i18n/tolowtrn.cpp
    ../../source/i18n/toupptrn.cpp
    ../../source/i18n/anytrans.cpp
    ../../source/i18n/name2uni.cpp
    ../../source/i18n/uni2name.cpp
    ../../source/i18n/nortrans.cpp
    ../../source/i18n/quant.cpp
    ../../source/i18n/transreg.cpp
    ../../source/i18n/brktrans.cpp
    ../../source/i18n/regexcmp.cpp
    ../../source/i18n/rematch.cpp
    ../../source/i18n/repattrn.cpp
    ../../source/i18n/regexst.cpp
    ../../source/i18n/regextxt.cpp
    ../../source/i18n/regeximp.cpp
    ../../source/i18n/uregex.cpp
    ../../source/i18n/uregexc.cpp
    ../../source/i18n/ulocdata.c
    ../../source/i18n/measfmt.cpp
    ../../source/i18n/currfmt.cpp
    ../../source/i18n/curramt.cpp
    ../../source/i18n/currunit.cpp
    ../../source/i18n/measure.cpp
    ../../source/i18n/utmscale.c
    ../../source/i18n/csdetect.cpp
    ../../source/i18n/csmatch.cpp
    ../../source/i18n/csr2022.cpp
    ../../source/i18n/csrecog.cpp
    ../../source/i18n/csrmbcs.cpp
    ../../source/i18n/csrsbcs.cpp
    ../../source/i18n/csrucode.cpp
    ../../source/i18n/csrutf8.cpp
    ../../source/i18n/inputext.cpp
    ../../source/i18n/wintzimpl.cpp
    ../../source/i18n/windtfmt.cpp
    ../../source/i18n/winnmfmt.cpp
    ../../source/i18n/basictz.cpp
    ../../source/i18n/dtrule.cpp
    ../../source/i18n/rbtz.cpp
    ../../source/i18n/tzrule.cpp
    ../../source/i18n/tztrans.cpp
    ../../source/i18n/vtzone.cpp
    ../../source/i18n/zonemeta.cpp
    ../../source/i18n/upluralrules.cpp
    ../../source/i18n/plurrule.cpp
    ../../source/i18n/plurfmt.cpp
    ../../source/i18n/selfmt.cpp
    ../../source/i18n/dtitvfmt.cpp
    ../../source/i18n/dtitvinf.cpp
    ../../source/i18n/udateintervalformat.cpp
    ../../source/i18n/tmunit.cpp
    ../../source/i18n/tmutamt.cpp
    ../../source/i18n/tmutfmt.cpp
    ../../source/i18n/currpinf.cpp
    ../../source/i18n/uspoof.cpp
    ../../source/i18n/uspoof_impl.cpp
    ../../source/i18n/uspoof_build.cpp
    ../../source/i18n/uspoof_conf.cpp
    ../../source/i18n/uspoof_wsconf.cpp
    ../../source/i18n/decfmtst.cpp
    ../../source/i18n/smpdtfst.cpp
    ../../source/i18n/ztrans.cpp
    ../../source/i18n/zrule.cpp
    ../../source/i18n/vzone.cpp
    ../../source/i18n/fphdlimp.cpp
    ../../source/i18n/fpositer.cpp
    ../../source/i18n/locdspnm.cpp
    ../../source/i18n/decNumber.c
    ../../source/i18n/decContext.c
    ../../source/i18n/alphaindex.cpp
    ../../source/i18n/tznames.cpp
    ../../source/i18n/tznames_impl.cpp
    ../../source/i18n/tzgnames.cpp
    ../../source/i18n/tzfmt.cpp
    ../../source/i18n/compactdecimalformat.cpp
    ../../source/i18n/gender.cpp
    ../../source/i18n/region.cpp
    ../../source/i18n/scriptset.cpp
    ../../source/i18n/identifier_info.cpp
)

set(ICU_I18N_INCLUDE_DIRECTORIES
      ../../source/i18n
      ../../source/common
      ../../source/common/include
)

include_directories(${ICU_I18N_INCLUDE_DIRECTORIES})
add_library(${ICU_JAVA_I18N_LIBRARIES} STATIC ${ICU_I18N_SOURCES})
set_target_properties(${ICU_JAVA_I18N_LIBRARIES} PROPERTIES COMPILE_DEFINITIONS "LIB_ICU_I18N_STATIC")
add_dependencies(${ICU_JAVA_I18N_LIBRARIES} ${ICU_JAVA_COMMON_LIB})

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/stubdata/CMakeLists.txt ===
set(ICU_STUBDATA_SOURCES
	../../source/stubdata/stubdata.c
)

set(ICU_STUBDATA_INCLUDE_DIRECTORIES
	  ../../source/common
      ../../source/common/include
)

include_directories(${ICU_STUBDATA_INCLUDE_DIRECTORIES})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib/stubdata)
add_library(${ICU_JAVA_ICU_STUBDATA_LIB} STATIC ${ICU_STUBDATA_SOURCES})
set_target_properties(${ICU_JAVA_ICU_STUBDATA_LIB} PROPERTIES OUTPUT_NAME ${ICU_JAVA_ICU_STUBDATA_LIB_NAME})

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/tools/icupkg/CMakeLists.txt ===
set(ICU_PKG_INCLUDE_DIRECTORIES
    ../../../source/common
    ../../../source/tools/pkgdata
    ../../../source/tools/toolutil
)

set(ICU_PKG_SOURCES
    ../../../source/tools/icupkg/icupkg.cpp
)

set(ICU_PKG_LIBRARIES
    ${ICU_JAVA_TOOLUTIL_LIB}
    ${ICU_JAVA_I18N_LIBRARIES}
    ${ICU_JAVA_COMMON_LIB}
    ${ICU_JAVA_ICU_STUBDATA_LIB}
)

include_directories(${ICU_PKG_INCLUDE_DIRECTORIES})

add_executable(icupkg ${ICU_PKG_SOURCES})
target_link_libraries(icupkg LINK_PUBLIC ${ICU_PKG_LIBRARIES} ${CMAKE_DL_LIBS})

add_dependencies(icupkg ${ICU_JAVA_TOOLUTIL_LIB})

=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/tools/pkgdata/CMakeLists.txt ===
set(ICU_PKG_INCLUDE_DIRECTORIES
    ../../../source/common
    ../../../source/tools/pkgdata/../toolutil
)

set(ICU_PKG_SOURCES
    ../../../source/tools/pkgdata/pkgtypes.c
    ../../../source/tools/pkgdata/pkgdata.cpp
)

set(ICU_PKG_LIBRARIES
    ${ICU_JAVA_TOOLUTIL_LIB}
    ${ICU_JAVA_I18N_LIBRARIES}
    ${ICU_JAVA_COMMON_LIB}
    ${ICU_JAVA_ICU_STUBDATA_LIB}
)

include_directories(${ICU_PKG_INCLUDE_DIRECTORIES})

add_executable(pkgdata ${ICU_PKG_SOURCES} ${ICU_PKG_INCLUDE_DIRECTORIES})
target_link_libraries(pkgdata ${ICU_PKG_LIBRARIES} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})

add_dependencies(pkgdata icupkg)

=== debian/changelog ===
openjfx (11+26-4) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Remove build-on-non-JIT-architectures.patch again. It does not work.
  * Build-depend on libgtk-3-dev and fix a RuntimeException due to non
    existent GTK 3 dependency. (Closes: #910585)

  [ Frédéric Bonnard ]
  * Fix !x86 build.
    Properly define CMAKE_SYSTEM_PROCESSOR else we get x86_64 or i586
    whichever architecture.
    Set ENABLE_JIT=OFF at cmake level for all non x86 architectures.
    (Closes: #910495)

 -- Markus Koschany <apo@debian.org>  Wed, 10 Oct 2018 22:41:09 +0200

openjfx (11+26-3) unstable; urgency=medium

  * Team upload.
  * Install the correct javafx.web jar. (Closes: #910501)
  * Add build-on-non-JIT-architectures.patch and try to fix the
    build failure on !x86 architectures.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Oct 2018 15:51:48 +0200

openjfx (11+26-2) unstable; urgency=medium

  * Keep the profiles of the parent pom
  * Install the empty classifier-less artifacts

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Oct 2018 14:38:49 +0200

openjfx (11+26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #850921)
    - Refreshed the patches
    - Depend on default-jdk instead of openjdk-8
    - Depend on gradle (>= 4.4)
    - Updated the watch file to track the JavaFX 11 releases from GitHub
    - Updated the paths to the modules (modules/foo -> modules/javafx.foo)
    - Depend on antlr+stringtemplate instead of antlr-complete
    - New dependency on liblucene4.10-java
    - New build dependency on zip
    - Removed the build dependencies on libsqlite3-dev, libxml2-dev, libicu-dev
      and libxslt1-dev since they are now embedded (Closes: #879769)
    - No longer use the removed BUILD_JAVADOC and BUILD_SRC_ZIP variables
    - Updated the Gradle targets to call during the build
    - Fixed a compilation error in glass_window_ime.cpp with GCC 8
    - No longer build and install the javafxpackager tool
    - Install the new Maven artifacts in libopenjfx-java
    - Install the SDK files in /usr/share/openjfx instead of integrating
      them with the JDK
    - Updated the path for the jsmin.py placeholder
  * Fixed a webkit compilation error with glibc 2.26 or later
  * Standards-Version updated to 4.2.1
  * Updated the Homepage field
  * Removed the unused Lintian overrides
  * Removed the workaround to build with Gradle 2.x

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 09:11:05 +0200

openjfx (8u171-b11-2) unstable; urgency=medium

  * Team upload.
  * Removed the GCC 7 compatibility patch (fixed upstream)
  * Removed the UChar patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 12 Jun 2018 12:54:12 +0200

openjfx (8u171-b11-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release:
    - Refreshed the patches
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Peter Michael Green ]
  * Disable JIT on sub-armv7 (armel/raspbian), it fails to build
    there with assembler errors (Closes: #895469)
  * Fix some uint16/char16 issues in javascriptcore

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 11 Jun 2018 22:05:32 +0200

=== debian/control ===
Source: openjfx
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: antlr3,
               bison,
               cmake,
               debhelper (>= 11),
               default-jdk,
               default-jdk-doc,
               flex,
               gperf,
               gradle (>= 4.4),
               gradle-debian-helper (>= 2.0),
               junit4,
               libasound2-dev,
               libavcodec-dev,
               libavformat-dev,
               libgl1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblucene4.10-java,
               libpng-dev,
               libstringtemplate-java,
               libswt-gtk-4-java,
               libudev-dev,
               libwerken.xpath-java,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               maven-repo-helper,
               pkg-config,
               python,
               qtbase5-dev,
               qtchooser,
               qt5-qmake,
               ruby,
               x11proto-core-dev,
               x11proto-xf86vidmode-dev,
               zip
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/openjfx.git
Vcs-Browser: https://salsa.debian.org/java-team/openjfx
Homepage: https://openjfx.io

Package: openjfx
Architecture: any
Depends: libopenjfx-java, ${misc:Depends}
Recommends: openjfx-source
Description: JavaFX/OpenJFX - Rich client application platform for Java
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.

Package: libopenjfx-java
Architecture: all
Depends: libopenjfx-jni, ${misc:Depends}
Suggests: openjfx
Description: JavaFX/OpenJFX - Rich client application platform for Java (Java libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the Java libraries only, installing it won't add
 the JavaFX classes to the default classpath automatically. The integration
 with the JRE is provided by the openjfx package.

Package: libopenjfx-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaFX/OpenJFX - Rich client application platform for Java (native libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the native libraries for libopenjfx-java.

Package: libopenjfx-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libopenjfx-java, default-jdk-doc
Description: JavaFX/OpenJFX - Rich client application platform for Java (Javadoc)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the API documentation for libopenjfx-java.

Package: openjfx-source
Architecture: all
Depends: ${misc:Depends}
Description: JavaFX/OpenJFX - Rich client application platform for Java (sources)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the source archive to be used with an IDE.

=== debian/watch ===
version=3
opts="repack,compression=xz" \
https://github.com/javafxports/openjdk-jfx/tags .*/(?:jdk-)?(11\+\d+).zip
